- breadcrumb_title _("General Settings")
- page_title _("General")
- add_page_specific_style 'page_bundles/projects_edit'
- @content_class = "limit-container-width" unless fluid_layout
- expanded = expanded_by_default?
- reduce_visibility_form_id = 'reduce-visibility-form'

= render_if_exists 'shared/minute_limit_banner', namespace: @project

%section.settings.general-settings.no-animate.expanded#js-general-settings
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only= _('Naming, topics, avatar')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = _('Collapse')
    %p= _('Update your project name, topics, description, and avatar.')
  .settings-content= render 'projects/settings/general'

%section.settings.sharing-permissions.no-animate#js-shared-permissions{ class: ('expanded' if expanded), data: { qa_selector: 'visibility_features_permissions_content' } }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only= _('Visibility, project features, permissions')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p= _('Choose visibility level, enable/disable project features and their permissions, disable email notifications, and show default award emoji.')

  .settings-content
    = form_for @project, html: { multipart: true, class: "sharing-permissions-form", id: reduce_visibility_form_id }, authenticity_token: true do |f|
      %input{ name: 'update_section', type: 'hidden', value: 'js-shared-permissions' }
      %template.js-project-permissions-form-data{ type: "application/json" }= project_permissions_panel_data(@project).to_json.html_safe
      .js-project-permissions-form{ data: visibility_confirm_modal_data(@project, reduce_visibility_form_id) }

%section.rspec-merge-request-settings.settings.merge-requests-feature.no-animate#js-merge-request-settings{ class: [('expanded' if expanded), ('hidden' if @project.project_feature.send(:merge_requests_access_level) == 0)], data: { qa_selector: 'merge_request_settings_content' } }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only= _('Merge requests')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    = render_if_exists 'projects/merge_request_settings_description_text'

  .settings-content
    = render_if_exists 'shared/promotions/promote_mr_features'

    = gitlab_ui_form_for @project, html: { multipart: true, class: "merge-request-settings-form js-mr-settings-form" }, authenticity_token: true do |f|
      %input{ name: 'update_section', type: 'hidden', value: 'js-merge-request-settings' }
      = render 'projects/merge_request_settings', form: f
      = f.submit _('Save changes'), class: "btn gl-button btn-confirm rspec-save-merge-request-changes", data: { qa_selector: 'save_merge_request_changes_button' }

= render_if_exists 'projects/merge_request_approvals_settings', expanded: expanded


%section.settings.no-animate{ class: ('expanded' if expanded), data: { qa_selector: 'badges_settings_content' } }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
      = s_('ProjectSettings|Badges')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p
      = s_('ProjectSettings|Customize this project\'s badges.')
      = link_to s_('ProjectSettings|What are badges?'), help_page_path('user/project/badges')
  .settings-content
    = render 'shared/badges/badge_settings'

= render_if_exists 'compliance_management/compliance_framework/project_settings', expanded: expanded

= render_if_exists 'projects/settings/default_issue_template'

= render 'projects/service_desk_settings'

%section.settings.advanced-settings.no-animate#js-project-advanced-settings{ class: ('expanded' if expanded), data: { qa_selector: 'advanced_settings_content' } }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only= _('Advanced')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p= s_('ProjectSettings|Housekeeping, export, archive, change path, transfer, and delete.')

  .settings-content
    = render_if_exists 'projects/settings/restore', project: @project

    .sub-section
      %h4= _('Housekeeping')
      %p
        = _('Runs a number of housekeeping tasks within the current repository, such as compressing file revisions and removing unreachable objects.')
        = link_to _('Learn more.'), help_page_path('administration/housekeeping'), target: '_blank', rel: 'noopener noreferrer'
      = link_to _('Run housekeeping'), housekeeping_project_path(@project),
        method: :post, class: "btn gl-button btn-default"

    = render 'export', project: @project

    = render_if_exists 'projects/settings/archive'
    .sub-section.rename-repository
      %h4.warning-title= _('Change path')
      = render 'projects/errors'
      = form_for @project do |f|
        .form-group
          - link_start = '<a href="%{url}" target="_blank" rel="noopener noreferrer">'.html_safe % { url: help_page_path('user/project/settings/index', anchor: 'renaming-a-repository') }
          %p= _("A project’s repository name defines its URL (the one you use to access the project via a browser) and its place on the file disk where GitLab is installed. %{link_start}Learn more.%{link_end}").html_safe % { link_start: link_start, link_end: '</a>'.html_safe }
          %ul
            %li= _("Be careful. Renaming a project's repository can have unintended side effects.")
            %li= _('You will need to update your local repositories to point to the new location.')
            - if @project.deployment_platform.present?
              %li= _('Your deployment services will be broken, you will need to manually fix the services after renaming.')
          = f.label :path, _('Path'), class: 'label-bold'
          .form-group
            .input-group
              .input-group-prepend
                .input-group-text
                  #{Gitlab::Utils.append_path(root_url, @project.namespace.full_path)}/
              = f.text_field :path, class: 'form-control h-auto', data: { qa_selector: 'project_path_field' }
        = f.submit _('Change path'), class: "gl-button btn btn-danger", data: { qa_selector: 'change_path_button' }

    = render 'transfer', project: @project

    = render 'remove_fork', project: @project

    = render 'remove', project: @project

.save-project-loader.hide
  .center
    %h2
      = gl_loading_icon(inline: true, size: 'md', css_class: 'gl-vertical-align-middle')
      = _('Saving project.')
    %p= _('Please wait a moment, this page will automatically refresh when ready.')
